//智能营销
import ecm from '../../views/ecm'
import ecmList from '../../views/ecm/list'
import addEdit from '../../views/ecm/addEdit'


export default {
  path: 'ecm',
  name: '智能营销管理',
  component: ecm,
  redirect:'/ecm/list',
  children:[
    {
      path: 'list',
      name: '智能营销',
      component: ecmList,
      meta: {
        path:'/ecm/list'
      }
    },
    {
      path: 'edit/:id',
      name: '智能营销编辑',
      component: addEdit,
      meta: {
        type: 'edit',
        path:'/ecm/list'
      }
    },
    {
      path: 'add',
      name: '智能营销新增',
      component: addEdit,
      meta: {
        type: 'add',
        path:'/ecm/list'
      }
    }
  ]
}



