import recharge from '../../views/recharge'
import board from '../../views/recharge/board'
import rechargeRecord from '../../views/recharge/record'
import rechargeConsume from '../../views/recharge/consume'
import rechargeDo from '../../views/recharge/recharge'


export default {
  path: 'recharge',
  name: '计费中心面板',
  component: recharge,
  redirect:'recharge/board',
  children:[
    {
      path: 'board',
      name: '计费中心',
      component: board
    },
    {
      path: 'record',
      name: '充值记录',
      component: rechargeRecord
    },
    {
      path: 'consume/:type',
      name: '消费详情',
      component: rechargeConsume
    },
    {
      path: 'do',
      name: '充值中心',
      component: rechargeDo
    }
  ]
};
