import {requests} from './index';
import router from '@/router';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

//智能营销--ECM营销引擎分页列表
export const loadEcmList = (params) => requests(PREFIX + 'page-ecm-list', params);

//智能营销--ECM营销引擎-- 删除
export const deleteEcm = (params) => requests(PREFIX + 'delete-ecm', params);

//智能营销--ECM营销引擎-- 新建/修改 回显智能引擎计划信息
export const getEcmInfo = (params) => requests(PREFIX + 'get-ecm-info', params);

//智能营销--ECM营销引擎-- 新建/修改 [保存]计划信息
export const saveEcmInfo = (params) => requests(PREFIX + 'save-update-ecm', params);
